; ----------------------------------------------------------------------+
; FROTH - A forth language implementation on PC - Oliver SINGLA 	!
; 									!
; Module:	STRUCT.ASM						!
; 									!
; Description:	Definitions for playing with struct.			!
; 									!
; List of FROTH definitions defined in this module:			!
;	QCOMPILE		?COMPILE				!
;	QEXECUTE		?EXECUTE				!
;	BUILD			BUILD>					!
; 									!
; ----------------------------------------------------------------------+

		.386p
		jumps
		locals

code32  	segment para public use32
		assume cs:code32, ds:code32, ss:code32

include		pmode.inc				; All externs are defined in there

include		Equ.inc
include		Vars.inc
include		Dict.inc

include		Compile.inc				; FROTH compiled definitions


; ===============================================================
; = STRUCT							=
; =                                                 		=
; = Code for the forth word:	STRUCT				=
; =                     	                            	=
; = Stack:	( --- )						=
; ===============================================================

		align	4
STRUCT		proc


		; "Sorry, this function is not yet implemented. Next release..."
		mov	ah, ERR_NOTYETAVAIL			; Error #
		clr	edx					; No additionnal msg
		clr	ecx					; No line #
		jmp	doError


		; Return to caller
		; ----------------
		
		ret

E_STRUCT:	
STRUCT		endp


; ===============================================================
; = ENDSTRUCT							=
; =                                                 		=
; = Code for the forth word:	ENDSTRUCT			=
; =                     	                            	=
; = Stack:	( --- )						=
; ===============================================================

		align	4
ENDSTRUCT	proc


		; "Sorry, this function is not yet implemented. Next release..."
		mov	ah, ERR_NOTYETAVAIL			; Error #
		clr	edx					; No additionnal msg
		clr	ecx					; No line #
		jmp	doError


		; Return to caller
		; ----------------
		
		ret

E_ENDSTRUCT:	
ENDSTRUCT	endp


code32		ends
		end
